Validate Payment
curl --request POST \
--url https://secureapi.tender.cash/v1/api/payment/validate/{id} \
--header 'x-access-id: <api-key>'const options = {method: 'POST', headers: {'x-access-id': '<api-key>'}};
fetch('https://secureapi.tender.cash/v1/api/payment/validate/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://secureapi.tender.cash/v1/api/payment/validate/{id}"
headers = {"x-access-id": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://secureapi.tender.cash/v1/api/payment/validate/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-access-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"type": "<string>",
"chain": "<string>",
"currency": "<string>",
"walletAddress": "<string>",
"amount": "<string>",
"usdAmount": "<string>",
"fee": "<string>",
"agentId": "<string>",
"merchantId": "<string>",
"status": "<string>",
"txId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Payment
Validate Payment
Validate a payment transaction by ID
POST
/
v1
/
api
/
payment
/
validate
/
{id}
Validate Payment
Auth method: Basic (Access ID) — this endpoint only requires your
x-access-id header. No request signing is needed. See
Authentication.Path Parameters
string
required
Transaction ID to validateExample:
"6475140f90e4c515f231fcea"Headers
string
required
Your API access ID provided by TenderExample:
"your-access-id-here"Response
string
required
Status of the API requestExample:
"success"string
required
Human-readable message describing the resultExample:
"payment received"object
required
The validated payment transaction details
Show data properties
Show data properties
string
Unique MongoDB identifier for the transactionExample:
"6475140f90e4c515f231fcea"string
Transaction typeExample:
"receive"string
Blockchain network usedExample:
"ethereum"object
Detailed blockchain network information
Show chainId properties
Show chainId properties
string
Chain MongoDB IDExample:
"64f782bb4278fc475eb30e29"string
Chain display nameExample:
"Ethereum"string
Chain icon URLExample:
"https://example.com/ethereum.png"string
Chain identifierExample:
"ethereum"string
Native coin symbolExample:
"ETH"string
Chain statusExample:
"active"string
Blockchain explorer URLExample:
"https://etherscan.io"string
Type of blockchainExample:
"evm"boolean
Whether pre-funded wallets are allowedExample:
falseboolean
Whether this supports multiple chainsExample:
falsestring
RPC endpoint URLExample:
"https://eth-mainnet.g.alchemy.com/v2/..."string
Chain category typeExample:
"blockchain"string
ISO 8601 timestampExample:
"2023-05-29T21:07:27.509Z"string
ISO 8601 timestampExample:
"2023-05-29T21:07:27.509Z"object
Detailed currency information
Show currency properties
Show currency properties
string
Currency MongoDB IDExample:
"6454b021cf6b3b771926792e"string
Currency identifierExample:
"usdt"string
Currency full nameExample:
"Tether USD"string
Currency icon URLExample:
"https://example.com/usdt.png"boolean
Whether this is a smart contract tokenExample:
truearray
Supported blockchain networksExample:
["ethereum", "bsc", "polygon"]string
Currency symbolExample:
"USDT"string
Price tracking identifierExample:
"tether"string
Transaction feeExample:
"0.001"string
Currency statusExample:
"active"string
Currency typeExample:
"token"string
ISO 8601 timestampExample:
"2023-05-29T21:07:27.509Z"string
ISO 8601 timestampExample:
"2023-05-29T21:07:27.509Z"string
Wallet address involved in the transactionExample:
"0xC6FF2283472C0403a178D8E565D50588DefAc85B"string
Wallet address indexExample:
"0"string
Transaction amount in cryptocurrencyExample:
"0.0001"string
Transaction amount in USDExample:
"0.1893"string
Amount in coin denominationExample:
"0.0001"string
Transaction feeExample:
"0"string
Transaction fee in USDExample:
"0"boolean
Whether the fee has been sentExample:
falsestring
Wallet activation feeExample:
"0"string
Wallet activation fee in USDExample:
"0"string
Exchange rate usedExample:
"1893"object
Agent details associated with the transaction
Show agentId properties
Show agentId properties
string
Agent MongoDB IDExample:
"6473034c48441d031ed5f299"string
Agent first nameExample:
"John"string
Agent last nameExample:
"Doe"string
Agent email addressExample:
"john@example.com"string
Agent avatar URLExample:
"https://example.com/avatar.jpg"string
Agent phone numberExample:
"+1234567890"string
Agent locationExample:
"New York, USA"string
Total sales amountExample:
"1500.50"string
Agent countryExample:
"USA"string
Agent addressExample:
"123 Main St"boolean
Whether agent is activeExample:
truestring
Agent unique identifierExample:
"AGT-001"string
Agent wallet balanceExample:
"500.00"string
Associated merchant IDExample:
"647302dea2f273c67b878a66"object
Merchant details associated with the transaction
Show merchantId properties
Show merchantId properties
string
Merchant MongoDB IDExample:
"647302dea2f273c67b878a66"string
Merchant first nameExample:
"Jane"string
Merchant last nameExample:
"Smith"string
Merchant email addressExample:
"jane@example.com"string
Merchant avatar URLExample:
"https://example.com/merchant-avatar.jpg"string
Merchant phone numberExample:
"+1234567890"boolean
Whether merchant is activeExample:
truestring
Merchant logo URLExample:
"https://example.com/logo.png"string
Merchant business nameExample:
"Example Store"string
Merchant descriptionExample:
"Online retail store"boolean
Two-factor authentication statusExample:
falseboolean
KYC verification statusExample:
falseboolean
KYC submission statusExample:
falseboolean
Instant conversion enabledExample:
falsestring
Default currencyExample:
"USD"string
Merchant wallet balanceExample:
"1000.00"boolean
Whether merchant is deletedExample:
falseboolean
Whether wallet was regeneratedExample:
falseboolean
Whether funds have been transferredExample:
falsestring
Smart contract address (for token transactions)Example:
""string
Current status of the transactionExample:
"completed"boolean
Whether payment is blacklistedExample:
falsestring
Actual amount receivedExample:
"0.0001"string
Amount received in USDExample:
"0.1893"string
Balance still requiredExample:
"0"string
Balance required in USDExample:
"0"boolean
Whether this is a partial paymentExample:
falsestring
Amount in agent’s currencyExample:
"0.1893"string
Amount received in agent’s currencyExample:
"0.1893"string
Balance required in agent’s currencyExample:
"0"string
Unique transaction identifierExample:
"6475140f90e4c515f231fcea"string
ISO 8601 timestamp when the transaction was createdExample:
"2023-05-29T21:07:27.509Z"string
ISO 8601 timestamp when the transaction was last updatedExample:
"2023-05-29T21:07:27.509Z"Authorizations
Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.
Headers
Your API access ID provided by Tender
Path Parameters
Transaction ID
⌘I